# Introducing Well-Rounded Balance (WRB)
Are you tired of repetitive runs or RoR2's unbalanced gameplay? WRB is a mod that rebalances almost the entire game, in a similar fashion to CU0-CU4, but with vast improvements. For a full list of changes, check out the WRB Google Doc.

Please note that the following mods are likely to be incompatible with WRB:
| Name | Description |
|---|---|
| RiskyMod | A full game rebalance that aims to bring the game closer to RoR1. | 
| EliteReworks | Reduces Elite bulletsponge and makes their abilities more impactful. |
| ZetAspects | Stackable elite aspects with new effects. Highly Configurable. |
| FlatItemBuff | Rebalances/Buffs some items. |
| Hex3Reworks | A mod that reworks and rebalances some of the vanilla aspects of Risk Of Rain 2. |
| SacrificeTweaks | Disables Sacrifice droprate scaling and increases droprate when not using Swarms. |
| VanillaRebalance | Aims at balancing vanilla Risk of Rain 2 without changing the effects of items/monsters/survivors. |

You may be able to get them working by adjusting the config, but we will not provide special compatibility for them. The mod is currently balanced around vanilla, but we plan to add compatibility for item mods in the future.

If any of these changes seem suspicious, you likely don't have the context of what the mod does in other aspects. This is just an overview; it's better to play it first, then judge. We don't care about your negative feedback without actually trying the mod. Especially the death threats and doxxing like one of the devs has gotten, lmao grow up.

And of course, the mod is still in its early days, so it's bound to change. We also have a pretty expansive config that will feature more options as time goes on. There is a module config that lets you turn off any large part of the changes, so that you can don't have to spend years turning off every individual feature.

## List of Changes
https://docs.google.com/document/d/1uP1Bp4tBOMoKyhyjuvXk5IHuuV373sa77NsX-l_vUUA/

## Scaling Reworks
Scaling is now linear but more aggressive, meaning it will be faster in the early game and cool off slightly during loops. This is intended to encourage players to play efficiently and make the game more engaging. The difficulty now actually scales with time, and the director spawns more enemies at a much faster pace. Gold scaling has also been heavily reworked, so you can't just kill a few enemies and buy out the whole stage. Pre-spawned enemies now give gold as well.

## Major Item Reworks
There are too many to list here, so please check the Google Doc for more information. Here are some examples:
| Icon | Name | Description |
|---|---|---|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/c4/Hunter%27s_Harpoon.png/revision/latest?cb=20220302043224" width="56"/> | Hunter's Harpoon | Killing an enemy increases movement speed by 16%, up to 3 (+3 per stack) times for 5 seconds. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/e/ed/Ignition_Tank.png/revision/latest?cb=20220302052615" width="56"/> | Ignition Tank | Gain a 15% chance to ignite enemies on hit. Ignite effects deal +200% (+200% per stack) more damage over time. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/ff/Pocket_I.C.B.M..png/revision/latest?cb=20220302043224" width="56"/> | Pocket I.C.B.M. | All missile items and equipment fire an additional missile. Gain a 10% (+10% per stack) chance to fire a missile that deals 150% TOTAL damage. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/91/Symbiotic_Scorpion.png/revision/latest?cb=20220302052918" width="56"/> | Symbiotic Scorpion | Inflict venom on hit, dealing 750% (+200% per stack) base damage over 5s and stealing 20 (+10 per stack) armor for 5s. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/1/10/Defense_Nucleus.png/revision/latest?cb=20220302095820" width="56"/> | Defense Nucleus | Gain 15 armor. Upon using your equipment, unleash a devastating laser for 70% (+70% per stack)damage per second for every second of your equipment's base cooldown. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/a/a9/Planula.png/revision/latest?cb=20210326044119" width="56"/> | Planula | After standing still for 0.5 seconds, summon the unmatched power of the sun that ignites enemies every 0.35s for 5s (+5s per stack). |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/2/2c/Focused_Convergence.png/revision/latest?cb=20200331153434" width="56"/> | Focused Convergence | Increase teleporter event rewards by 2 (+2 per stack). Teleporter events are 200% (+200% per stack) harder. |

## Elite Reworks
Elites now only have increased health (4x for T1 and 6x for T2) and much more pronounced, unique, and interesting effects. They no longer have increased damage. Here are some examples:
| Icon | Name | Description |
|---|---|---|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/cf/Status_AffixRed.png/revision/latest?cb=20200306055955" width="56"/> | Blazing | Passively has -25% damage. Burns on hit for 50% TOTAL Damage. 4 seconds after spawning, spews two large pools of fire that deal 150% base damage per second and after that does the same every 11 seconds. Upon death, spews 4 small pools of fire for 150% base damage per second.  |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/96/Status_AffixBlue.png/revision/latest?cb=20200306055949" width="56"/> | Overloading | Passively has +50% increased movement speed. Passively teleports every 6s for 10-30m of distance. Upon teleporting, creates a sphere that grants all allies +50% movement speed for 6s with a radius of 20-45m depending on base maximum health. |

## Interactable Reworks
Interactables as a whole have been made a bit more interesting and have much less RNG impact on your item count by reducing/removing their director credit costs and limiting their count.
Here are some examples:
| Description |
|---|
| Lunar pods now drop a lunar potential with a choice between 2 non-Heresy items when opened. |
| Void cradles no longer deal 50% of your max health in damage, but instead give you a choice between 3 void items if you have a corruptible item, and give curse worth 10% of your maximum health for the rest of the stage. They also explode after activating the teleporter. |
| Scrappers have been made rarer and much more limited, but printers are now more common and consistent. |
| Scavenger bags now drop fewer items, but are unlimited per stage. |

## Mechanic Reworks
Here are some examples:
| Name | Description |
|---|---|
| Boss Enrage | Bosses now gain up to +30% movement speed, +25% attack speed and cooldown reduction linearly the lower their health is. |
| Forced Boss Variety | The same Teleporter Boss can't appear twice in a row. |
| Commencement Speed Boost | At the beginning of Commencement, every player gains an 85% movement speed boost for 45s, just enough to get to the ship barrier. |
| Faster Holdout Zones | All Holdout Zones are 60% faster. |
| Optional Pillars | Commencement Pillars are now completely optional, you can complete them for a reward or go straight to Mithrix without hassle. |
| Pillar Rewards | Commencement Pillars now reward a Lunar Potential that contains a random Green item, a random Pearl and a random Lunar item to pick from. |
| Primordial Teleporter | The Primordial Teleporter will now spawn every stage upon looping, allowing you to take on Final Bosses at any point of the run during loops. |

## Smaller Features
The mod integrates some smaller mods to give players the intended, better experience, such as:
| Name | Description |
|---|---|
| AugmentedVoidReaver | Tweaks Void Reaver primary to be more threatening. |
| BetterMeteorite | Makes Glowing Meteorite Based and Redpilled. |
| BetterSpite | Brings back Spite to its RoR1 glory days. Now with 500% more bombs, full of chaos! |
| CurseCatcher | Provides options to prevent Eclipse curse from being applied on self-inflicted damage. |
| ExchangeChanges | A mod to simply change the time exchange interactions happen, letting you have faster printers, faster scrappers, and faster shrines of chance! |
| FathomlessVoidling | Improved Voidling fight with some extras. Configurable |
| FixKjaroRunald | Makes Kjaro and Runald scale with the ambient level. One could say, it buffs gay marriage. |
| Fix Playercount | Fixes disconnected players counting towards run scaling. Server-Side and Vanilla-Compatible. |
| GoldChestForAll | Makes Gold Chests drop one item PER player, instead of just one item. |
| LunarConstruct | Spices up Commencement by adding a fodder enemy. Requires Survivors of The Void to function. |
| LunarWispFalloff | Enables damage falloff on Lunar Wisp hitscan attacks. |
| PingOrdering | Lets you give (simplistic) orders to your underlings via your pings. |
| ShurikenFix | Allows channeled abilities like nailgun to fire shuriken normally. |
| SnappierStalks | Makes the No Cooldown effect (the one provided by Brainstalks) feel better by changing how it refunds cooldown. |
| VanillaVoid | Adds more void variants for vanilla items, and tweaks and expands upon some void content. |

This means you don't need to have these installed with Well Rounded Balance enabled.

## Contact/Feedback
Join our Discord server! Whether you want to make suggestions, report bugs, or simply find a group of people to chill with, we welcome you to join us.
https://cutt.ly/ballscord

## Credits
The dev team consists of:
- HIFU (items, item reworks, equipment, enemy changes, eclipse rework, scaling changes, artifact changes, mechanical changes, config, bugfixing)
- pseudopulse (elite reworks, interactable reworks, mechanical changes, bugfixing)
- prodzpod (config, code improvements, bugfixing)

Thanks to our discord server members for responding to polls and providing feedback and ideas <3.

Thanks to Moffein for the code/idea for:
- Delicate Watch
- Power Elixir
- Happiest Mask
- Charged Peripherator
- Molten Peripherator
- Gesture of the Drowned
- Eclipse 3
- Lunar Wisp Falloff
- Forced Boss Variety
- Void Fields

Thanks to Skell for the code for:
- Death Mark

Thanks to BORBO for the code/idea for:
- Infusion
- Runald's Band
- Planula

And of course thanks to every mod developer that made the mods we integrated.

<details>
  <summary></summary>

  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="24"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="48"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="64"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="96"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="128"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="192"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="128"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="96"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="64"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="48"/>
  <img src="https://cdn.discordapp.com/attachments/781570609729372253/1112438647036334100/SE.jpg" width="24"/>
</details>